<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<script type="text/javascript">
		
		function funcion1(){


			//document.write("Hola clase");
			// Al hacer esto está creando otro body nuevo y me está borrando el anterior
			//document.getElementById("salida").innerHTML="Hola clase";
			document.querySelector("#salida").innerHTML="Hola clase";
			
		}
	</script>
</head>
<body>

	<script type="text/javascript">
		
		document.write("<div>hola<div>");
	</script>
<div onclick="funcion1()">
	Adios
</div>

<!--html y javascript se ejecutan al mismo nivel. 
No se pueden abrir y cerrar script sin tenerlos terminados. 
En php si se puede porque se ejecuta a otro nivel-->
<div id="salida"></div>
	
</body>
</html>